
# a comprehension that mostly solves the problem posed in
# class. It's not a complete solution since it reassigns
# p1, thus the original list isn't changed.
#

from random import randint, random

def xover(p1, p2=None, indpb=0.5):
    p1 = [p1[i] if random() > indpb else 1 if p2 is None else p2[i] for i in range(len(p1))]
    print(p1)
    

def main():
    p1 = [randint(0, 1) for _ in range(20)]
    p2 = [randint(0, 1) for _ in range(20)]
    indpb = 0.7
    
    print(p1)
    xover(p1, p2, indpb)
    
    print(p1)


if __name__ == '__main__':
    main()
    