
# using a map to calculate distances between corresponding elements
# in two lists representing coordinates: sources, dests

from random import randint
from math import sqrt

def distance(x, p1, p2):
    dx = p1[0] - p2[0]
    dy = p1[1] - p2[1]
    return int(sqrt(dx**2 + dy**2))


def main():
    sources = [(randint(25, 48), randint(-122, -71)) for _ in range(10)]
    dests = [(randint(25, 48), randint(-122, -71)) for _ in range(10)]

    dists = map(distance, 1, sources, dests)

    print('')
    for i in range(len(dists)):
        print('source: {}   dest: {}   distance: {}'.format(sources[i], dests[i], dists[i]))

    print('')
    
    
if __name__ == '__main__':
    main()
