
# using zip to associate an ordinal with a value
# then use sorted to sort the resulting tuples by their value

from random import randint

def main():
    nums = [randint(1, 100) for _ in range(10)]

    order = zip(nums, range(len(nums)))

    print('\n{}'.format(nums))
    print('{}'.format(order))

    # now we can sort the list of tuples
    s_order = sorted(order, key=lambda x: x[0])

    print('\n{}\n'.format(s_order))

    
if __name__ == '__main__':
    main()
    